Subject: bug#56643: 29.0.50; Help-mode bookmarks not loading with native compilation

From: Andrea Corallo <[email-masked]>
Date: Wed, 20 Jul 2022 18:31:56 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], Eli Zaretskii <[email-masked]>
>> Date: Wed, 20 Jul 2022 11:21:06 +0000
>> 
>> It is unfortunatelly not possible to serialize native compiled code so
>> that the reader can read it back.  Native code can only stay in shared
>> libraries (eln files) and be loaded from there.
>
> Can we deduce the name of the Lisp function (a symbol) whose
> native-compilation result is a given natively-compiled subr?  If so,
> perhaps we could substitute the function's symbol for the subr name.

Not that I'm aware.

I guest would be necessary to keep some global (or per native function)
hash table that is updated in Fset?

I hope there's some workaround to this in the help / bookmarks machinery
cause this does not look very neat to me.

  Andrea